 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.BreedParentsEntity;
import com.huimv.management.service.BreedParentsService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-17 13:44:45
 */
@Api("种猪信息表")
@RestController
@RequestMapping("management/breedparents")
public class BreedParentsController {
    @Autowired
    private BreedParentsService breedParentsService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = breedParentsService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		BreedParentsEntity breedParents = breedParentsService.getById(id);

        return R.ok().put("breedParents", breedParents);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody BreedParentsEntity breedParents){
		breedParentsService.save(breedParents);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody BreedParentsEntity breedParents){
		breedParentsService.updateById(breedParents);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		breedParentsService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
